import * as $dara from '@darabonba/typescript';
import { DescribeClusterBasicInfoResponseBody } from "./DescribeClusterBasicInfoResponseBody";
export declare class DescribeClusterBasicInfoResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeClusterBasicInfoResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
